From 83d9760e0330266ac5c2776b79fb21657f0cb59b Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Mon, 13 Sep 2010 18:25:56 +0100
Subject: [PATCH 28/34] add explanation of why cProviderInboxPanel derives from SimplePanel

---
 .../client/ProxiedWeb/gui/ProviderInboxPanel.py    |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/ProviderInboxPanel.py b/gnumed/gnumed/client/ProxiedWeb/gui/ProviderInboxPanel.py
index 4872679..ed89df2 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gui/ProviderInboxPanel.py
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/ProviderInboxPanel.py
@@ -5,6 +5,12 @@ import Remote
 
 #======================================================
 class cProviderInboxPanel(SimplePanel): 
+    """ Provider Inbox Messages.
+
+        derives from SimplePanel so that it can be added immediately to
+        cPatientsummaryPanel and then, when HTTPUILoader picks up the XML
+        file (asynchronously), the ProviderInbox instance can be added then.
+    """
     def __init__(self, **kwargs):
         SimplePanel.__init__(self, **kwargs)
         self.pp = None
-- 
1.7.1

